tbb::internal::parallel_for_each_body_do< Function, Iterator > Class Template Reference

`#include <parallel_for_each.h>`

Inheritance diagram for tbb::internal::parallel_for_each_body_do< Function, Iterator >:
Collaboration diagram for tbb::internal::parallel_for_each_body_do< Function, Iterator >:

## Public Member Functions

| parallel_for_each_body_do (const Function &_func)
void | operator() (typename std::iterator_traits< Iterator >::reference value) const

## Private Attributes

const Function & | my_func

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename Function, typename Iterator>
class tbb::internal::parallel_for_each_body_do< Function, Iterator >

Definition at line 29 of file parallel_for_each.h.

## Constructor & Destructor Documentation

## parallel_for_each_body_do()

template<typename Function, typename Iterator>

tbb::internal::parallel_for_each_body_do< Function, Iterator >::parallel_for_each_body_do | ( | const Function & | _func | ) |

inline

Definition at line 32 of file parallel_for_each.h.

: my_func(_func) {}

## Member Function Documentation

## operator()()

template<typename Function, typename Iterator>

void tbb::internal::parallel_for_each_body_do< Function, Iterator >::operator() | ( | typename std::iterator_traits< Iterator >::reference | value | ) | const

inline

Definition at line 34 of file parallel_for_each.h.

{
my_func(value);
}

References tbb::internal::parallel_for_each_body_do< Function, Iterator >::my_func, and value.

## Member Data Documentation

## my_func

template<typename Function, typename Iterator>

const Function& tbb::internal::parallel_for_each_body_do< Function, Iterator >::my_func

private

Definition at line 30 of file parallel_for_each.h.

Referenced by tbb::internal::parallel_for_each_body_do< Function, Iterator >::operator()().

The documentation for this class was generated from the following file:

- parallel_for_each.h

value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192
tbb::internal::parallel_for_each_body_do::my_func
const Function & my_func
Definition: parallel_for_each.h:30

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.